/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                Java Language Spatial Dual SDK, Version 7.0                 */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* Formatted Time */
public class ANPacket22
{
	public static final int LENGTH = 14;

	public long microseconds;
	public int year;
	public int yearDay;
	public int month;
	public int monthDay;
	public int weekDay;
	public int hour;
	public int minute;
	public int second;

	public ANPacket22(ANPacket packet)
	{
		microseconds = TypeConversion.bytesToUInt32(packet.data, 0);
		year = TypeConversion.bytesToUInt16(packet.data, 4);
		yearDay = TypeConversion.bytesToUInt16(packet.data, 6);
		month = packet.data[8] & 0xFF;
		monthDay = packet.data[9] & 0xFF;
		weekDay = packet.data[10] & 0xFF;
		hour = packet.data[11] & 0xFF;
		minute = packet.data[12] & 0xFF;
		second = packet.data[13] & 0xFF;		
	}
}
